---
title: CD penalty fee
slug: apis/accounts/time-deposit-apis/get-cd-penalty-fee-value
description: Retrieve the penalty fee for early withdrawal from a CD via GET /core/v1/dda/accounts/{accountnumber}/time-deposit/penalty-fee.
icon: {"apiMethod":"GET"}
docTags: 
createdAt: 2025-05-07T05:52:33.374Z
---

## API reference

Returns the penalty fee if you make an early withdrawal to an active time deposit account. The response will define the number of months during which a penalty will usually be applied on early withdrawal (months), and the number of days of interest to be paid in penalty (feeDays).

:::ApiMethodV2
```json
{
  "name": "Endpoint: /core/v1/dda/accounts/{accountNumber}/time-deposit/penalty-fee",
  "method": "GET",
  "url": "https://sandbox.crbcos.com/core/v1/dda/accounts/{accountNumber}/time-deposit/penalty-fee",
  "description": "",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "gEUm5jOXJrcoOftE869H5",
        "language": "curl",
        "code": "curl --location 'https://sandbox.crbcos.com/core/v1/dda/accounts/190432130358/time-deposit/penalty-fee'",
        "customLabel": ""
      },
      {
        "id": "iWnAToGlhCSS2itbwQAsa",
        "language": "nodejs",
        "code": "var https = require('follow-redirects').https;\nvar fs = require('fs');\n\nvar options = {\n  'method': 'GET',\n  'hostname': 'sandbox.crbcos.com',\n  'path': '/core/v1/dda/accounts/190432130358/time-deposit/penalty-fee',\n  'headers': {\n  },\n  'maxRedirects': 20\n};\n\nvar req = https.request(options, function (res) {\n  var chunks = [];\n\n  res.on(\"data\", function (chunk) {\n    chunks.push(chunk);\n  });\n\n  res.on(\"end\", function (chunk) {\n    var body = Buffer.concat(chunks);\n    console.log(body.toString());\n  });\n\n  res.on(\"error\", function (error) {\n    console.error(error);\n  });\n});\n\nreq.end();",
        "customLabel": ""
      },
      {
        "id": "GspRu8gWp209vk6Uryiyy",
        "language": "python",
        "code": "import http.client\n\nconn = http.client.HTTPSConnection(\"sandbox.crbcos.com\")\npayload = ''\nheaders = {}\nconn.request(\"GET\", \"/core/v1/dda/accounts/190432130358/time-deposit/penalty-fee\", payload, headers)\nres = conn.getresponse()\ndata = res.read()\nprint(data.decode(\"utf-8\"))",
        "customLabel": ""
      },
      {
        "id": "3LWXQAv49MWYe9tJlogpY",
        "language": "ruby",
        "code": "require \"uri\"\nrequire \"net/http\"\n\nurl = URI(\"https://sandbox.crbcos.com/core/v1/dda/accounts/190432130358/time-deposit/penalty-fee\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\n\nresponse = https.request(request)\nputs response.read_body\n",
        "customLabel": ""
      },
      {
        "id": "9YqP3IXyvM_0sNhO3lm_N",
        "language": "go",
        "code": "package main\n\nimport (\n  \"fmt\"\n  \"net/http\"\n  \"io\"\n)\n\nfunc main() {\n\n  url := \"https://sandbox.crbcos.com/core/v1/dda/accounts/190432130358/time-deposit/penalty-fee\"\n  method := \"GET\"\n\n  client := &http.Client {\n  }\n  req, err := http.NewRequest(method, url, nil)\n\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  res, err := client.Do(req)\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  defer res.Body.Close()\n\n  body, err := io.ReadAll(res.Body)\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  fmt.Println(string(body))\n}",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "gEUm5jOXJrcoOftE869H5"
  },
  "results": {
    "languages": [
      {
        "id": "Ub9YpXSeXw4T6Es3K6rza",
        "language": "200",
        "customLabel": "",
        "code": "{\n    \"months\": 0,\n    \"feeDays\": 0,\n    \"feeAmount\": 0\n}"
      }
    ],
    "selectedLanguageId": "Ub9YpXSeXw4T6Es3K6rza"
  },
  "request": {
    "pathParameters": [
      {
        "name": "accountNumber",
        "kind": "required",
        "type": "string",
        "description": "Account number of the time deposit account",
        "children": []
      }
    ],
    "queryParameters": [],
    "headerParameters": [],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Path Parameter",
    "value": "pathParameters"
  },
  "response": [
    {
      "name": "months",
      "kind": "optional",
      "type": "Integer",
      "description": "Minimum number of months that the time deposit account is closed. A withdrawal before that time results in a penalty fee."
    },
    {
      "name": "feeDays",
      "kind": "optional",
      "type": "Integer",
      "description": "Number of days of interest to be paid in penalty for early withdrawal",
      "children": []
    },
    {
      "name": "feeAmount",
      "kind": "optional",
      "type": "Integer",
      "description": "Penalty amount. There is no decimal point between the dollars and the cents.",
      "children": []
    },
    {
      "name": "currency",
      "kind": "optional",
      "type": "string",
      "description": "Currency of the penalty fee",
      "children": []
    }
  ],
  "autoGeneratedAnchorSlug": "endpoint-corev1ddaaccountsaccountnumbertime-deposi",
  "legacyHash": "vpduTwT4kjURW1Q6USSA4"
}
```
:::

